Skip to main content
POST
Apply template update

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

templateId
string<uuid>
required

Template ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Body

application/json

Body

Request body for applying a template version update to existing workflows

targetVersion
integer
required

Template version to apply

Required range: 1 <= x <= 9007199254740991
workflowIds
string<uuid>[]
required

Workflow IDs to update (max 2000)

Required array length: 1 - 2000 elements
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Response

Response for template update application

Response for template update application

error
enum<boolean>
required

Error flag (always false on success)

Available options:
false
success
enum<boolean>
required

Success flag

Available options:
true
updatedCount
number
required

Number of workflows updated

workflowIds
string<uuid>[]
required

IDs of updated workflows

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
controlledParts
object
required

Which workflow parts were updated by this template version